<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_professores = array();
	$tdatasenuc_professores[".NumberOfChars"] = 80; 
	$tdatasenuc_professores[".ShortName"] = "senuc_professores";
	$tdatasenuc_professores[".OwnerID"] = "idnucleo";
	$tdatasenuc_professores[".OriginalTable"] = "senuc_professores";

//	field labels
$fieldLabelssenuc_professores = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_professores["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["nome"] = "Nome";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["nome"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["email"] = "Email";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["email"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["cpf"] = "Cpf";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["cpf"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["telefone"] = "Telefone";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["telefone"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["celular"] = "Celular";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["celular"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["operadora"] = "Operadora";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["operadora"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["cidade"] = "Cidade";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["cidade"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["curso"] = "Curso";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["curso"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["materias"] = "Materias";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["materias"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["bolsista"] = "Bolsista";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["bolsista"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["atualizado"] = "Atualizado";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["atualizado"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["nascimento"] = "Nascimento";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["nascimento"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["etnia"] = "Etnia";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["etnia"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["renda"] = "Renda";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["renda"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["escolaridade"] = "Escolaridade";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["escolaridade"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["estado"] = "Estado";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["estado"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["ingresso_nucleo"] = "Ingresso Nucleo";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["ingresso_nucleo"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["ativo"] = "Ativo";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["ativo"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["id_mdl"] = "Id Mdl";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["id_mdl"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["motivo"] = "Motivo";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["motivo"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["ultimo_score"] = "Ultimo Score";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["ultimo_score"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["data_ultimo_score"] = "Data Ultimo Score";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["data_ultimo_score"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["id_professor"] = "Id Professor";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["id_professor"] = "";
	$fieldLabelssenuc_professores["Portuguese(Brazil)"]["tipo"] = "Tipo";
	$fieldToolTipssenuc_professores["Portuguese(Brazil)"]["tipo"] = "";
	if (count($fieldToolTipssenuc_professores["Portuguese(Brazil)"]))
		$tdatasenuc_professores[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_professores[".NCSearch"] = true;



$tdatasenuc_professores[".shortTableName"] = "senuc_professores";
$tdatasenuc_professores[".nSecOptions"] = 1;
$tdatasenuc_professores[".recsPerRowList"] = 1;
$tdatasenuc_professores[".mainTableOwnerID"] = "idnucleo";
$tdatasenuc_professores[".moveNext"] = 1;
$tdatasenuc_professores[".nType"] = 0;

$tdatasenuc_professores[".strOriginalTableName"] = "senuc_professores";




$tdatasenuc_professores[".showAddInPopup"] = true;

$tdatasenuc_professores[".showEditInPopup"] = true;

$tdatasenuc_professores[".showViewInPopup"] = true;

$tdatasenuc_professores[".fieldsForRegister"] = array();

$tdatasenuc_professores[".listAjax"] = false;

	$tdatasenuc_professores[".audit"] = false;

	$tdatasenuc_professores[".locking"] = false;

$tdatasenuc_professores[".listIcons"] = true;
$tdatasenuc_professores[".edit"] = true;
$tdatasenuc_professores[".view"] = true;

$tdatasenuc_professores[".exportTo"] = true;

$tdatasenuc_professores[".printFriendly"] = true;


$tdatasenuc_professores[".showSimpleSearchOptions"] = false;

$tdatasenuc_professores[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_professores[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_professores[".isUseAjaxSuggest"] = true;

$tdatasenuc_professores[".rowHighlite"] = true;

// button handlers file names
$tdatasenuc_professores[".isUsebuttonHandlers"] = true;

$tdatasenuc_professores[".addPageEvents"] = true;

// use timepicker for search panel
$tdatasenuc_professores[".isUseTimeForSearch"] = false;




$tdatasenuc_professores[".allSearchFields"] = array();

$tdatasenuc_professores[".allSearchFields"][] = "cpf";
$tdatasenuc_professores[".allSearchFields"][] = "nome";
$tdatasenuc_professores[".allSearchFields"][] = "email";
$tdatasenuc_professores[".allSearchFields"][] = "telefone";
$tdatasenuc_professores[".allSearchFields"][] = "celular";
$tdatasenuc_professores[".allSearchFields"][] = "operadora";
$tdatasenuc_professores[".allSearchFields"][] = "nascimento";
$tdatasenuc_professores[".allSearchFields"][] = "renda";
$tdatasenuc_professores[".allSearchFields"][] = "etnia";
$tdatasenuc_professores[".allSearchFields"][] = "escolaridade";
$tdatasenuc_professores[".allSearchFields"][] = "curso";
$tdatasenuc_professores[".allSearchFields"][] = "materias";
$tdatasenuc_professores[".allSearchFields"][] = "tipo";
$tdatasenuc_professores[".allSearchFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".allSearchFields"][] = "bolsista";
$tdatasenuc_professores[".allSearchFields"][] = "estado";
$tdatasenuc_professores[".allSearchFields"][] = "cidade";
$tdatasenuc_professores[".allSearchFields"][] = "ativo";
$tdatasenuc_professores[".allSearchFields"][] = "motivo";
$tdatasenuc_professores[".allSearchFields"][] = "ultimo_score";
$tdatasenuc_professores[".allSearchFields"][] = "data_ultimo_score";

$tdatasenuc_professores[".googleLikeFields"][] = "id";
$tdatasenuc_professores[".googleLikeFields"][] = "idnucleo";
$tdatasenuc_professores[".googleLikeFields"][] = "idregional";
$tdatasenuc_professores[".googleLikeFields"][] = "nome";
$tdatasenuc_professores[".googleLikeFields"][] = "email";
$tdatasenuc_professores[".googleLikeFields"][] = "cpf";
$tdatasenuc_professores[".googleLikeFields"][] = "telefone";
$tdatasenuc_professores[".googleLikeFields"][] = "celular";
$tdatasenuc_professores[".googleLikeFields"][] = "operadora";
$tdatasenuc_professores[".googleLikeFields"][] = "nascimento";
$tdatasenuc_professores[".googleLikeFields"][] = "etnia";
$tdatasenuc_professores[".googleLikeFields"][] = "renda";
$tdatasenuc_professores[".googleLikeFields"][] = "estado";
$tdatasenuc_professores[".googleLikeFields"][] = "cidade";
$tdatasenuc_professores[".googleLikeFields"][] = "escolaridade";
$tdatasenuc_professores[".googleLikeFields"][] = "curso";
$tdatasenuc_professores[".googleLikeFields"][] = "materias";
$tdatasenuc_professores[".googleLikeFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".googleLikeFields"][] = "bolsista";
$tdatasenuc_professores[".googleLikeFields"][] = "ano";
$tdatasenuc_professores[".googleLikeFields"][] = "atualizado";
$tdatasenuc_professores[".googleLikeFields"][] = "motivo";
$tdatasenuc_professores[".googleLikeFields"][] = "ativo";
$tdatasenuc_professores[".googleLikeFields"][] = "id_mdl";
$tdatasenuc_professores[".googleLikeFields"][] = "ultimo_score";
$tdatasenuc_professores[".googleLikeFields"][] = "data_ultimo_score";
$tdatasenuc_professores[".googleLikeFields"][] = "tipo";


$tdatasenuc_professores[".advSearchFields"][] = "cpf";
$tdatasenuc_professores[".advSearchFields"][] = "nome";
$tdatasenuc_professores[".advSearchFields"][] = "email";
$tdatasenuc_professores[".advSearchFields"][] = "telefone";
$tdatasenuc_professores[".advSearchFields"][] = "celular";
$tdatasenuc_professores[".advSearchFields"][] = "operadora";
$tdatasenuc_professores[".advSearchFields"][] = "nascimento";
$tdatasenuc_professores[".advSearchFields"][] = "renda";
$tdatasenuc_professores[".advSearchFields"][] = "etnia";
$tdatasenuc_professores[".advSearchFields"][] = "escolaridade";
$tdatasenuc_professores[".advSearchFields"][] = "curso";
$tdatasenuc_professores[".advSearchFields"][] = "materias";
$tdatasenuc_professores[".advSearchFields"][] = "tipo";
$tdatasenuc_professores[".advSearchFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".advSearchFields"][] = "bolsista";
$tdatasenuc_professores[".advSearchFields"][] = "estado";
$tdatasenuc_professores[".advSearchFields"][] = "cidade";
$tdatasenuc_professores[".advSearchFields"][] = "ativo";
$tdatasenuc_professores[".advSearchFields"][] = "motivo";
$tdatasenuc_professores[".advSearchFields"][] = "ultimo_score";
$tdatasenuc_professores[".advSearchFields"][] = "data_ultimo_score";

$tdatasenuc_professores[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main
	


$tdatasenuc_professores[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY ativo DESC, ingresso_nucleo DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_professores[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_professores[".orderindexes"] = array();
$tdatasenuc_professores[".orderindexes"][] = array(23, (0 ? "ASC" : "DESC"), "ativo");
$tdatasenuc_professores[".orderindexes"][] = array(18, (0 ? "ASC" : "DESC"), "ingresso_nucleo");

$tdatasenuc_professores[".sqlHead"] = "SELECT id,  idnucleo,  idregional,  nome,  email,  cpf,  telefone,  celular,  operadora,  nascimento,  etnia,  renda,  estado,  cidade,  escolaridade,  curso,  materias,  ingresso_nucleo,  bolsista,  ano,  atualizado,  motivo,  ativo,  id_mdl,  ultimo_score,  data_ultimo_score,  tipo";
$tdatasenuc_professores[".sqlFrom"] = "FROM senuc_professores";
$tdatasenuc_professores[".sqlWhereExpr"] = "";
$tdatasenuc_professores[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_professores[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_professores[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_professores = array();
$tableKeyssenuc_professores[] = "id";
$tdatasenuc_professores[".Keys"] = $tableKeyssenuc_professores;

$tdatasenuc_professores[".listFields"] = array();
$tdatasenuc_professores[".listFields"][] = "cpf";
$tdatasenuc_professores[".listFields"][] = "nome";
$tdatasenuc_professores[".listFields"][] = "email";
$tdatasenuc_professores[".listFields"][] = "telefone";
$tdatasenuc_professores[".listFields"][] = "celular";
$tdatasenuc_professores[".listFields"][] = "operadora";
$tdatasenuc_professores[".listFields"][] = "nascimento";
$tdatasenuc_professores[".listFields"][] = "renda";
$tdatasenuc_professores[".listFields"][] = "etnia";
$tdatasenuc_professores[".listFields"][] = "escolaridade";
$tdatasenuc_professores[".listFields"][] = "curso";
$tdatasenuc_professores[".listFields"][] = "materias";
$tdatasenuc_professores[".listFields"][] = "tipo";
$tdatasenuc_professores[".listFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".listFields"][] = "bolsista";
$tdatasenuc_professores[".listFields"][] = "estado";
$tdatasenuc_professores[".listFields"][] = "cidade";
$tdatasenuc_professores[".listFields"][] = "ativo";
$tdatasenuc_professores[".listFields"][] = "motivo";
$tdatasenuc_professores[".listFields"][] = "ultimo_score";
$tdatasenuc_professores[".listFields"][] = "data_ultimo_score";

$tdatasenuc_professores[".viewFields"] = array();
$tdatasenuc_professores[".viewFields"][] = "cpf";
$tdatasenuc_professores[".viewFields"][] = "nome";
$tdatasenuc_professores[".viewFields"][] = "email";
$tdatasenuc_professores[".viewFields"][] = "telefone";
$tdatasenuc_professores[".viewFields"][] = "celular";
$tdatasenuc_professores[".viewFields"][] = "operadora";
$tdatasenuc_professores[".viewFields"][] = "nascimento";
$tdatasenuc_professores[".viewFields"][] = "renda";
$tdatasenuc_professores[".viewFields"][] = "etnia";
$tdatasenuc_professores[".viewFields"][] = "escolaridade";
$tdatasenuc_professores[".viewFields"][] = "curso";
$tdatasenuc_professores[".viewFields"][] = "materias";
$tdatasenuc_professores[".viewFields"][] = "tipo";
$tdatasenuc_professores[".viewFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".viewFields"][] = "bolsista";
$tdatasenuc_professores[".viewFields"][] = "estado";
$tdatasenuc_professores[".viewFields"][] = "cidade";
$tdatasenuc_professores[".viewFields"][] = "ativo";
$tdatasenuc_professores[".viewFields"][] = "motivo";
$tdatasenuc_professores[".viewFields"][] = "ultimo_score";
$tdatasenuc_professores[".viewFields"][] = "data_ultimo_score";

$tdatasenuc_professores[".addFields"] = array();
$tdatasenuc_professores[".addFields"][] = "cpf";
$tdatasenuc_professores[".addFields"][] = "nome";
$tdatasenuc_professores[".addFields"][] = "email";
$tdatasenuc_professores[".addFields"][] = "telefone";
$tdatasenuc_professores[".addFields"][] = "celular";
$tdatasenuc_professores[".addFields"][] = "operadora";
$tdatasenuc_professores[".addFields"][] = "renda";
$tdatasenuc_professores[".addFields"][] = "etnia";
$tdatasenuc_professores[".addFields"][] = "escolaridade";
$tdatasenuc_professores[".addFields"][] = "curso";
$tdatasenuc_professores[".addFields"][] = "materias";
$tdatasenuc_professores[".addFields"][] = "tipo";
$tdatasenuc_professores[".addFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".addFields"][] = "bolsista";
$tdatasenuc_professores[".addFields"][] = "estado";
$tdatasenuc_professores[".addFields"][] = "cidade";

$tdatasenuc_professores[".inlineAddFields"] = array();

$tdatasenuc_professores[".editFields"] = array();
$tdatasenuc_professores[".editFields"][] = "nome";
$tdatasenuc_professores[".editFields"][] = "email";
$tdatasenuc_professores[".editFields"][] = "telefone";
$tdatasenuc_professores[".editFields"][] = "celular";
$tdatasenuc_professores[".editFields"][] = "operadora";
$tdatasenuc_professores[".editFields"][] = "renda";
$tdatasenuc_professores[".editFields"][] = "etnia";
$tdatasenuc_professores[".editFields"][] = "escolaridade";
$tdatasenuc_professores[".editFields"][] = "curso";
$tdatasenuc_professores[".editFields"][] = "materias";
$tdatasenuc_professores[".editFields"][] = "tipo";
$tdatasenuc_professores[".editFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".editFields"][] = "bolsista";
$tdatasenuc_professores[".editFields"][] = "estado";
$tdatasenuc_professores[".editFields"][] = "cidade";
$tdatasenuc_professores[".editFields"][] = "ativo";
$tdatasenuc_professores[".editFields"][] = "motivo";

$tdatasenuc_professores[".inlineEditFields"] = array();

$tdatasenuc_professores[".exportFields"] = array();
$tdatasenuc_professores[".exportFields"][] = "cpf";
$tdatasenuc_professores[".exportFields"][] = "nome";
$tdatasenuc_professores[".exportFields"][] = "email";
$tdatasenuc_professores[".exportFields"][] = "telefone";
$tdatasenuc_professores[".exportFields"][] = "celular";
$tdatasenuc_professores[".exportFields"][] = "operadora";
$tdatasenuc_professores[".exportFields"][] = "nascimento";
$tdatasenuc_professores[".exportFields"][] = "renda";
$tdatasenuc_professores[".exportFields"][] = "etnia";
$tdatasenuc_professores[".exportFields"][] = "escolaridade";
$tdatasenuc_professores[".exportFields"][] = "curso";
$tdatasenuc_professores[".exportFields"][] = "materias";
$tdatasenuc_professores[".exportFields"][] = "tipo";
$tdatasenuc_professores[".exportFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".exportFields"][] = "bolsista";
$tdatasenuc_professores[".exportFields"][] = "estado";
$tdatasenuc_professores[".exportFields"][] = "cidade";
$tdatasenuc_professores[".exportFields"][] = "ativo";
$tdatasenuc_professores[".exportFields"][] = "motivo";
$tdatasenuc_professores[".exportFields"][] = "ultimo_score";
$tdatasenuc_professores[".exportFields"][] = "data_ultimo_score";

$tdatasenuc_professores[".printFields"] = array();
$tdatasenuc_professores[".printFields"][] = "cpf";
$tdatasenuc_professores[".printFields"][] = "nome";
$tdatasenuc_professores[".printFields"][] = "email";
$tdatasenuc_professores[".printFields"][] = "telefone";
$tdatasenuc_professores[".printFields"][] = "celular";
$tdatasenuc_professores[".printFields"][] = "operadora";
$tdatasenuc_professores[".printFields"][] = "nascimento";
$tdatasenuc_professores[".printFields"][] = "renda";
$tdatasenuc_professores[".printFields"][] = "etnia";
$tdatasenuc_professores[".printFields"][] = "escolaridade";
$tdatasenuc_professores[".printFields"][] = "curso";
$tdatasenuc_professores[".printFields"][] = "materias";
$tdatasenuc_professores[".printFields"][] = "tipo";
$tdatasenuc_professores[".printFields"][] = "ingresso_nucleo";
$tdatasenuc_professores[".printFields"][] = "bolsista";
$tdatasenuc_professores[".printFields"][] = "estado";
$tdatasenuc_professores[".printFields"][] = "cidade";
$tdatasenuc_professores[".printFields"][] = "ativo";
$tdatasenuc_professores[".printFields"][] = "motivo";
$tdatasenuc_professores[".printFields"][] = "ultimo_score";
$tdatasenuc_professores[".printFields"][] = "data_ultimo_score";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["id"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["idnucleo"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["idregional"] = $fdata;
//	nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nome";
	$fdata["GoodName"] = "nome";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Nome"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		$edata["inputStyle"] = " width:300px;";
	$edata["controlWidth"] = 300;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["nome"] = $fdata;
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Email"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "email"; 
		$fdata["FullName"] = "email";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		$edata["inputStyle"] = " width:300px;";
	$edata["controlWidth"] = 300;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Email");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["email"] = $fdata;
//	cpf
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cpf";
	$fdata["GoodName"] = "cpf";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Cpf"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "cpf"; 
		$fdata["FullName"] = "cpf";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
		$edata["strEditMask"] = "999.999.999-99"; 

//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
	$edata["autoCompleteFields"][] = array('masterF'=>"nome", 'lookupF'=>"nome");
	$edata["autoCompleteFields"][] = array('masterF'=>"email", 'lookupF'=>"email");
	$edata["autoCompleteFields"][] = array('masterF'=>"telefone", 'lookupF'=>"telefone");
	$edata["autoCompleteFields"][] = array('masterF'=>"celular", 'lookupF'=>"celular");
	$edata["autoCompleteFields"][] = array('masterF'=>"operadora", 'lookupF'=>"operadora");
	$edata["autoCompleteFields"][] = array('masterF'=>"nascimento", 'lookupF'=>"nascimento");
	$edata["autoCompleteFields"][] = array('masterF'=>"etnia", 'lookupF'=>"etnia");
	$edata["autoCompleteFields"][] = array('masterF'=>"renda", 'lookupF'=>"renda");
	$edata["autoCompleteFields"][] = array('masterF'=>"estado", 'lookupF'=>"estado");
	$edata["autoCompleteFields"][] = array('masterF'=>"cidade", 'lookupF'=>"cidade");
				$edata["LCType"] = 1;
			
		
			
	$edata["LinkField"] = "cpf";
	$edata["LinkFieldType"] = 200;
	$edata["DisplayField"] = "cpf";
	
		
	$edata["LookupTable"] = "associados";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		$edata["FastType"] = true; 
	
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["cpf"] = $fdata;
//	telefone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "telefone";
	$fdata["GoodName"] = "telefone";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Telefone"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "telefone"; 
		$fdata["FullName"] = "telefone";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
		$edata["strEditMask"] = "(99)9999-9999"; 

//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["telefone"] = $fdata;
//	celular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "celular";
	$fdata["GoodName"] = "celular";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Celular"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "celular"; 
		$fdata["FullName"] = "celular";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
		$edata["strEditMask"] = "(99)99999-9999"; 

//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["celular"] = $fdata;
//	operadora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "operadora";
	$fdata["GoodName"] = "operadora";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Operadora"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "operadora"; 
		$fdata["FullName"] = "operadora";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "operadora";
	
		
	$edata["LookupTable"] = "operadora";
	$edata["LookupOrderBy"] = "operadora";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["operadora"] = $fdata;
//	nascimento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "nascimento";
	$fdata["GoodName"] = "nascimento";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Nascimento"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nascimento"; 
		$fdata["FullName"] = "nascimento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["nascimento"] = $fdata;
//	etnia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "etnia";
	$fdata["GoodName"] = "etnia";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Etnia"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "etnia"; 
		$fdata["FullName"] = "etnia";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "etnia";
	
		
	$edata["LookupTable"] = "etnia";
	$edata["LookupOrderBy"] = "etnia";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["etnia"] = $fdata;
//	renda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "renda";
	$fdata["GoodName"] = "renda";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Renda"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "renda"; 
		$fdata["FullName"] = "renda";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			$edata["LookupUnique"] = true;
	
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "renda";
	
		
	$edata["LookupTable"] = "renda";
	$edata["LookupOrderBy"] = "id";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["renda"] = $fdata;
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Estado"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "estado"; 
		$fdata["FullName"] = "estado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "uf";
	
		
	$edata["LookupTable"] = "tb_estados";
	$edata["LookupOrderBy"] = "uf";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
			//	dependent dropdowns	
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "cidade";
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["estado"] = $fdata;
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Cidade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "cidade"; 
		$fdata["FullName"] = "cidade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 1;
			
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "tb_cidades";
	$edata["LookupOrderBy"] = "";
	
		
		
		$edata["UseCategory"] = true; 
	$edata["CategoryControl"] = "estado"; 
	$edata["CategoryFilter"] = "estado"; 
	
		$edata["FastType"] = true; 
	
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["cidade"] = $fdata;
//	escolaridade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "escolaridade";
	$fdata["GoodName"] = "escolaridade";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Escolaridade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "escolaridade"; 
		$fdata["FullName"] = "escolaridade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "escolaridade";
	
		
	$edata["LookupTable"] = "escolaridade";
	$edata["LookupOrderBy"] = "escolaridade";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["escolaridade"] = $fdata;
//	curso
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "curso";
	$fdata["GoodName"] = "curso";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Curso"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "curso"; 
		$fdata["FullName"] = "curso";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "ID";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Cursos";
	
		
	$edata["LookupTable"] = "cursos";
	$edata["LookupOrderBy"] = "Cursos";
	
		
		$edata["LookupWhere"] = " tipo=1";
	
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["curso"] = $fdata;
//	materias
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "materias";
	$fdata["GoodName"] = "materias";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Materias"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "materias"; 
		$fdata["FullName"] = "materias";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 3;
			
		
			$edata["LookupUnique"] = true;
	
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "materia";
	
		
	$edata["LookupTable"] = "materias";
	$edata["LookupOrderBy"] = "materia";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
		$edata["Multiselect"] = true; 
	$edata["SelectSize"] = 1;
//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["materias"] = $fdata;
//	ingresso_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "ingresso_nucleo";
	$fdata["GoodName"] = "ingresso_nucleo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Ingresso Nucleo"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ingresso_nucleo"; 
		$fdata["FullName"] = "ingresso_nucleo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["ingresso_nucleo"] = $fdata;
//	bolsista
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "bolsista";
	$fdata["GoodName"] = "bolsista";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Bolsista"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "bolsista"; 
		$fdata["FullName"] = "bolsista";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Checkbox");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Checkbox");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["bolsista"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";
	
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["ano"] = $fdata;
//	atualizado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "atualizado";
	$fdata["GoodName"] = "atualizado";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Atualizado"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "atualizado"; 
		$fdata["FullName"] = "atualizado";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=5";
	
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["atualizado"] = $fdata;
//	motivo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "motivo";
	$fdata["GoodName"] = "motivo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Motivo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "motivo"; 
		$fdata["FullName"] = "motivo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Custom");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "motivo";
	
		
	$edata["LookupTable"] = "senuc_motivos";
	$edata["LookupOrderBy"] = "motivo";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["motivo"] = $fdata;
//	ativo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 23;
	$fdata["strName"] = "ativo";
	$fdata["GoodName"] = "ativo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Ativo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ativo"; 
		$fdata["FullName"] = "ativo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Checkbox");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Checkbox");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["ativo"] = $fdata;
//	id_mdl
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 24;
	$fdata["strName"] = "id_mdl";
	$fdata["GoodName"] = "id_mdl";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Id Mdl"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id_mdl"; 
		$fdata["FullName"] = "id_mdl";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["id_mdl"] = $fdata;
//	ultimo_score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 25;
	$fdata["strName"] = "ultimo_score";
	$fdata["GoodName"] = "ultimo_score";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Ultimo Score"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ultimo_score"; 
		$fdata["FullName"] = "ultimo_score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Custom");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["ultimo_score"] = $fdata;
//	data_ultimo_score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 26;
	$fdata["strName"] = "data_ultimo_score";
	$fdata["GoodName"] = "data_ultimo_score";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Data Ultimo Score"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_ultimo_score"; 
		$fdata["FullName"] = "data_ultimo_score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Custom");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["data_ultimo_score"] = $fdata;
//	tipo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 27;
	$fdata["strName"] = "tipo";
	$fdata["GoodName"] = "tipo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Tipo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "tipo"; 
		$fdata["FullName"] = "tipo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 3;
			
		$edata["HorizontalLookup"] = true;
	
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "tipo";
	
		
	$edata["LookupTable"] = "senuc_professor_tipo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
		$edata["Multiselect"] = true; 
	$edata["SelectSize"] = 1;
//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores["tipo"] = $fdata;

	
$tables_data["senuc_professores"]=&$tdatasenuc_professores;
$field_labels["senuc_professores"] = &$fieldLabelssenuc_professores;
$fieldToolTips["senuc_professores"] = &$fieldToolTipssenuc_professores;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_professores"] = array();
$dIndex = 1-1;
			$strOriginalDetailsTable="senuc_frequencias";
	$detailsParam["dDataSourceTable"]="senuc_frequencias";
	$detailsParam["dOriginalTable"]=$strOriginalDetailsTable;
	$detailsParam["dShortTable"]="senuc_frequencias";
	$detailsParam["masterKeys"]=array();
	$detailsParam["detailKeys"]=array();
	$detailsParam["dispChildCount"]= "1";
	$detailsParam["hideChild"]="1";
	$detailsParam["previewOnList"]= 0;
	$detailsParam["previewOnAdd"]= 0;
	$detailsParam["previewOnEdit"]= 0;
	$detailsParam["previewOnView"]= 0;
		
	$detailsTablesData["senuc_professores"][$dIndex] = $detailsParam;
	
		
		$detailsTablesData["senuc_professores"][$dIndex]["masterKeys"][]="cpf";
		$detailsTablesData["senuc_professores"][$dIndex]["detailKeys"][]="cpf";

	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_professores"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="senuc_nucleo";
	$masterParams["mDataSourceTable"]="senuc_nucleo";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_nucleo";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "1";
	$masterParams["dispInfo"]= "0";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_professores"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_professores"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_professores"][$mIndex]["detailKeys"][]="idnucleo";

$mIndex = 2-1;
			$strOriginalDetailsTable="senuc_nucleo";
	$masterParams["mDataSourceTable"]="nucleos_presenciais";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "nucleos_presenciais";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "1";
	$masterParams["dispInfo"]= "0";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_professores"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_professores"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_professores"][$mIndex]["detailKeys"][]="idnucleo";

$mIndex = 3-1;
			$strOriginalDetailsTable="senuc_nucleo";
	$masterParams["mDataSourceTable"]="nucleos_virtuais";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "nucleos_virtuais";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "1";
	$masterParams["dispInfo"]= "0";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_professores"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_professores"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_professores"][$mIndex]["detailKeys"][]="idnucleo";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_professores()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  idnucleo,  idregional,  nome,  email,  cpf,  telefone,  celular,  operadora,  nascimento,  etnia,  renda,  estado,  cidade,  escolaridade,  curso,  materias,  ingresso_nucleo,  bolsista,  ano,  atualizado,  motivo,  ativo,  id_mdl,  ultimo_score,  data_ultimo_score,  tipo";
$proto0["m_strFrom"] = "FROM senuc_professores";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ativo DESC, ingresso_nucleo DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_professores"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_professores"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_professores"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_professores"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "senuc_professores"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "cpf",
	"m_strTable" => "senuc_professores"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "telefone",
	"m_strTable" => "senuc_professores"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "celular",
	"m_strTable" => "senuc_professores"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "operadora",
	"m_strTable" => "senuc_professores"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "nascimento",
	"m_strTable" => "senuc_professores"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "etnia",
	"m_strTable" => "senuc_professores"
));

$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "renda",
	"m_strTable" => "senuc_professores"
));

$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "senuc_professores"
));

$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "senuc_professores"
));

$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "escolaridade",
	"m_strTable" => "senuc_professores"
));

$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "curso",
	"m_strTable" => "senuc_professores"
));

$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "materias",
	"m_strTable" => "senuc_professores"
));

$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "ingresso_nucleo",
	"m_strTable" => "senuc_professores"
));

$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "bolsista",
	"m_strTable" => "senuc_professores"
));

$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_professores"
));

$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "";
$obj = new SQLFieldListItem($proto43);

$proto0["m_fieldlist"][]=$obj;
						$proto45=array();
			$obj = new SQLField(array(
	"m_strName" => "atualizado",
	"m_strTable" => "senuc_professores"
));

$proto45["m_expr"]=$obj;
$proto45["m_alias"] = "";
$obj = new SQLFieldListItem($proto45);

$proto0["m_fieldlist"][]=$obj;
						$proto47=array();
			$obj = new SQLField(array(
	"m_strName" => "motivo",
	"m_strTable" => "senuc_professores"
));

$proto47["m_expr"]=$obj;
$proto47["m_alias"] = "";
$obj = new SQLFieldListItem($proto47);

$proto0["m_fieldlist"][]=$obj;
						$proto49=array();
			$obj = new SQLField(array(
	"m_strName" => "ativo",
	"m_strTable" => "senuc_professores"
));

$proto49["m_expr"]=$obj;
$proto49["m_alias"] = "";
$obj = new SQLFieldListItem($proto49);

$proto0["m_fieldlist"][]=$obj;
						$proto51=array();
			$obj = new SQLField(array(
	"m_strName" => "id_mdl",
	"m_strTable" => "senuc_professores"
));

$proto51["m_expr"]=$obj;
$proto51["m_alias"] = "";
$obj = new SQLFieldListItem($proto51);

$proto0["m_fieldlist"][]=$obj;
						$proto53=array();
			$obj = new SQLField(array(
	"m_strName" => "ultimo_score",
	"m_strTable" => "senuc_professores"
));

$proto53["m_expr"]=$obj;
$proto53["m_alias"] = "";
$obj = new SQLFieldListItem($proto53);

$proto0["m_fieldlist"][]=$obj;
						$proto55=array();
			$obj = new SQLField(array(
	"m_strName" => "data_ultimo_score",
	"m_strTable" => "senuc_professores"
));

$proto55["m_expr"]=$obj;
$proto55["m_alias"] = "";
$obj = new SQLFieldListItem($proto55);

$proto0["m_fieldlist"][]=$obj;
						$proto57=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo",
	"m_strTable" => "senuc_professores"
));

$proto57["m_expr"]=$obj;
$proto57["m_alias"] = "";
$obj = new SQLFieldListItem($proto57);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto59=array();
$proto59["m_link"] = "SQLL_MAIN";
			$proto60=array();
$proto60["m_strName"] = "senuc_professores";
$proto60["m_columns"] = array();
$proto60["m_columns"][] = "id";
$proto60["m_columns"][] = "idnucleo";
$proto60["m_columns"][] = "idregional";
$proto60["m_columns"][] = "nome";
$proto60["m_columns"][] = "email";
$proto60["m_columns"][] = "cpf";
$proto60["m_columns"][] = "telefone";
$proto60["m_columns"][] = "celular";
$proto60["m_columns"][] = "operadora";
$proto60["m_columns"][] = "nascimento";
$proto60["m_columns"][] = "etnia";
$proto60["m_columns"][] = "renda";
$proto60["m_columns"][] = "estado";
$proto60["m_columns"][] = "cidade";
$proto60["m_columns"][] = "escolaridade";
$proto60["m_columns"][] = "curso";
$proto60["m_columns"][] = "materias";
$proto60["m_columns"][] = "tipo";
$proto60["m_columns"][] = "ingresso_nucleo";
$proto60["m_columns"][] = "bolsista";
$proto60["m_columns"][] = "ano";
$proto60["m_columns"][] = "atualizado";
$proto60["m_columns"][] = "motivo";
$proto60["m_columns"][] = "ativo";
$proto60["m_columns"][] = "id_mdl";
$proto60["m_columns"][] = "ultimo_score";
$proto60["m_columns"][] = "data_ultimo_score";
$obj = new SQLTable($proto60);

$proto59["m_table"] = $obj;
$proto59["m_alias"] = "";
$proto61=array();
$proto61["m_sql"] = "";
$proto61["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto61["m_column"]=$obj;
$proto61["m_contained"] = array();
$proto61["m_strCase"] = "";
$proto61["m_havingmode"] = "0";
$proto61["m_inBrackets"] = "0";
$proto61["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto61);

$proto59["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto59);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto63=array();
						$obj = new SQLField(array(
	"m_strName" => "ativo",
	"m_strTable" => "senuc_professores"
));

$proto63["m_column"]=$obj;
$proto63["m_bAsc"] = 0;
$proto63["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto63);

$proto0["m_orderby"][]=$obj;					
												$proto65=array();
						$obj = new SQLField(array(
	"m_strName" => "ingresso_nucleo",
	"m_strTable" => "senuc_professores"
));

$proto65["m_column"]=$obj;
$proto65["m_bAsc"] = 0;
$proto65["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto65);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_professores = createSqlQuery_senuc_professores();
																											$tdatasenuc_professores[".sqlquery"] = $queryData_senuc_professores;
	
if(isset($tdatasenuc_professores["field2"])){
	$tdatasenuc_professores["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_professores["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_professores["field2"]["LookupType"] = 4;
	$tdatasenuc_professores["field2"]["LinkField"] = "email";
	$tdatasenuc_professores["field2"]["DisplayField"] = "name";
	$tdatasenuc_professores[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_professores_events.php"));
$tableEvents["senuc_professores"] = new eventclass_senuc_professores;
$tdatasenuc_professores[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_professores");

?>